Show / Hide Table of Contents

# Class OpenIddictServerDataProtectionConfiguration

Contains the methods required to ensure that the OpenIddict ASP.NET Core Data Protection configuration is valid.

##### Inheritance

System.Object
OpenIddictServerDataProtectionConfiguration

##### Implements

IPostConfigureOptions<OpenIddictServerDataProtectionOptions>

###### Namespace: OpenIddict.Server.DataProtection

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictServerDataProtectionConfiguration : IConfigureOptions<OpenIddictServerOptions>, IPostConfigureOptions<OpenIddictServerDataProtectionOptions>

### Constructors

#### OpenIddictServerDataProtectionConfiguration(IDataProtectionProvider)

Creates a new instance of the OpenIddictServerDataProtectionConfiguration class.

##### Declaration

    public OpenIddictServerDataProtectionConfiguration(IDataProtectionProvider dataProtectionProvider)

##### Parameters

Type | Name | Description
--- | --- | ---
IDataProtectionProvider | dataProtectionProvider | The ASP.NET Core Data Protection provider.

### Methods

#### Configure(OpenIddictServerOptions)

##### Declaration

    public void Configure(OpenIddictServerOptions options)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictServerOptions | options |

#### PostConfigure(String, OpenIddictServerDataProtectionOptions)

Populates the default OpenIddict ASP.NET Core Data Protection server options and ensures that the configuration is in a consistent and valid state.

##### Declaration

    public void PostConfigure(string name, OpenIddictServerDataProtectionOptions options)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name | The name of the options instance to configure, if applicable.
OpenIddictServerDataProtectionOptions | options | The options instance to initialize.

### Implements

IPostConfigureOptions<>